<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: include/terminalcolors.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">terminalcolors.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for terminalcolors.h:</div>
<div class="dyncontent">
<div class="center"><img src="terminalcolors_8h__incl.png" border="0" usemap="#include_2terminalcolors_8h" alt=""/></div>
<map name="include_2terminalcolors_8h" id="include_2terminalcolors_8h">
<area shape="rect" title=" " alt="" coords="5,5,184,32"/>
<area shape="rect" title=" " alt="" coords="19,80,77,107"/>
<area shape="rect" title=" " alt="" coords="101,80,181,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="terminalcolors_8h__dep__incl.png" border="0" usemap="#include_2terminalcolors_8hdep" alt=""/></div>
<map name="include_2terminalcolors_8hdep" id="include_2terminalcolors_8hdep">
<area shape="rect" title=" " alt="" coords="225,5,404,32"/>
<area shape="rect" href="print__options_8h.html" title=" " alt="" coords="229,80,400,107"/>
<area shape="rect" href="print__atom_8h.html" title=" " alt="" coords="237,155,393,181"/>
<area shape="rect" href="print_8h.html" title=" " alt="" coords="257,229,372,256"/>
<area shape="rect" href="print__ostream_8h.html" title=" " alt="" coords="5,304,181,331"/>
<area shape="rect" href="print__shortcuts_8h.html" title=" " alt="" coords="329,304,511,331"/>
<area shape="rect" href="print__list_8h.html" title=" " alt="" coords="70,155,213,181"/>
</map>
</div>
</div>
<p><a href="terminalcolors_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1terminal_1_1TerminalColor.html">TerminalColor</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines constants for terminal escape sequences, which can be used to format color and weight of terminal fonts.  <a href="structcpp20print_1_1terminal_1_1TerminalColor.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp20print_1_1terminal_1_1StreamModifier.html">StreamModifier</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper class that keeps track of stream flags.  <a href="classcpp20print_1_1terminal_1_1StreamModifier.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ab87bacfdad76e61b9412d7124be44c1c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> { <br />
&#160;&#160;<b>System</b>, 
<b>Red</b>, 
<b>Green</b>, 
<b>Blue</b>, 
<br />
&#160;&#160;<b>Yellow</b>, 
<b>Magenta</b>, 
<b>Cyan</b>, 
<b>White</b>, 
<br />
&#160;&#160;<b>Error</b> = Red, 
<b>Warning</b> = Yellow, 
<b>Fail</b> = Magenta, 
<b>Notification</b> = Blue, 
<br />
&#160;&#160;<b>Emphasis</b> = Cyan, 
<b>Success</b> = Green, 
<b>Default</b> = System
<br />
 }</td></tr>
<tr class="memdesc:ab87bacfdad76e61b9412d7124be44c1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines values to select colors for printing to a terminal.  <a href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">More...</a><br /></td></tr>
<tr class="separator:ab87bacfdad76e61b9412d7124be44c1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add354b854a8899ddb39fc9d57bbe22e3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a> { <b>Normal</b>, 
<b>Bold</b>, 
<b>Default</b> = Normal
 }</td></tr>
<tr class="memdesc:add354b854a8899ddb39fc9d57bbe22e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines values to select a font weight for printing to a terminal.  <a href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">More...</a><br /></td></tr>
<tr class="separator:add354b854a8899ddb39fc9d57bbe22e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains constants and helper classes to enable easy formatting of terminal output. </p>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ab87bacfdad76e61b9412d7124be44c1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab87bacfdad76e61b9412d7124be44c1c">&#9670;&nbsp;</a></span>Color</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum Color</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Defines values to select colors for printing to a terminal. </p>
<p>Provides aliases for error (red), warning (yellow), etc. </p>

</div>
</div>
<a id="add354b854a8899ddb39fc9d57bbe22e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add354b854a8899ddb39fc9d57bbe22e3">&#9670;&nbsp;</a></span>Weight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum Weight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Defines values to select a font weight for printing to a terminal. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
